FFI::Platypus::Lang::ASM(3)

NAME
FFI::Platypus::Lang::ASM - Documentation and tools for using Platypus with the Assembly

VERSION
version 2.10

SYNOPSIS
 use FFI::Platypus 2.00;
 my $ffi = FFI::Platypus->new( api => 2 );
 $ffi->lang('ASM');

DESCRIPTION
Setting your lang to "ASM" includes no native type aliases, so types like "int" or "unsigned long" will not work. You need to specify instead "sint32" or "sint64". Although intended for use with Assembly it could also be used for other languages if you did not want to use the normal C aliases for native types.

This document will one day include information on bundling Assembly with your Perl / FFI / Platypus distribution. Pull requests welcome!

METHODS

  native_type_map
 my $hashref = FFI::Platypus::Lang::ASM->native_type_map;

This returns an empty hash reference. For other languages it returns a hash reference that defines the aliases for the types normally used for that language.

SEE ALSO

FFI::Platypus
    The Core Platypus documentation.

FFI::Platypus::Lang
    Includes a list of other language plugins for Platypus.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Bakkiaraj Murugesan (bakkiaraj)

Dylan Cali (calid)

pipcet

Zaki Mughal (zmughal)

Fitz Elliott (felliott)

Vickenty Fesunov (vyf)

Gregor Herrmann (gregoa)

Shlomi Fish (shlomif)

Damyan Ivanov

Ilya Pavlov (Ilya33)

Petr Písař (ppisar)

Mohammad S Anwar (MANWAR)

Håkon Hægland (hakonhagland, HAKONH)

Meredith (merrilymeredith, MHOWARD)

Diab Jerius (DJERIUS)

Eric Brine (IKEGAMI)

szTheory

José Joaquín Atria (JJATRIA)

Pete Houston (openstrike, HOUSTON)

Lukas Mai (MAUKE)

COPYRIGHT AND LICENSE
This software is copyright (c) 2015-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.